<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>
  <groupId>fb</groupId>
  <artifactId>prjVelaWP</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <packaging>war</packaging>
  <name>ProgettoVelaWaterPolo</name>
  <description>Progetto Vela Water Polo Serie A1 2019-2021</description>

  <dependencies>
	<dependency>
		<groupId>javax.annotation</groupId>
		<artifactId>javax.annotation-api</artifactId>
		<version>1.3.2</version>
	</dependency>
	<dependency>
		<groupId>javax.xml.bind</groupId>
		<artifactId>jaxb-api</artifactId>
		<version>2.3.1</version>
	</dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.hibernate.javax.persistence</groupId>
      <artifactId>hibernate-jpa-2.1-api</artifactId>
      <version>1.0.0.Final</version>
    </dependency>
    <dependency>
      <groupId>org.hibernate</groupId>
      <artifactId>hibernate-core</artifactId>
      <version>5.2.6.Final</version>
    </dependency>
  	<dependency>
  		<groupId>mysql</groupId>
  		<artifactId>mysql-connector-java</artifactId>
  		<version>8.0.20</version>
  	</dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-tx</artifactId>
      <version>5.2.1.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-orm</artifactId>
      <version>5.2.1.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>jstl</artifactId>
      <version>1.2</version>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-simple</artifactId>
      <version>2.0.0-alpha1</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.data</groupId>
      <artifactId>spring-data-jpa</artifactId>
      <version>2.2.1.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-web</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-webmvc</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
      <version>4.0.1</version>
      <scope>provided</scope>
    </dependency>
     <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-web</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-taglibs</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-config</artifactId>
      <version>5.2.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.junit.jupiter</groupId>
      <artifactId>junit-jupiter-engine</artifactId>
      <version>5.5.2</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.doxia</groupId>
      <artifactId>doxia</artifactId>
      <version>1.9</version>
      <type>pom</type>
    </dependency>
	<dependency>  
	    <groupId>org.apache.tiles</groupId>  
	    <artifactId>tiles-jsp</artifactId>  
	    <version>3.0.5</version>  
	</dependency>  
	      
	    <!-- https://mvnrepository.com/artifact/org.apache.tiles/tiles-servlet -->  
	<dependency>  
	    <groupId>org.apache.tiles</groupId>  
	    <artifactId>tiles-servlet</artifactId>  
	    <version>3.0.5</version>  
	</dependency>  
	    <!-- https://mvnrepository.com/artifact/org.apache.tiles/tiles-core -->  
	<dependency>  
	    <groupId>org.apache.tiles</groupId>  
	    <artifactId>tiles-core</artifactId>  
	    <version>3.0.5</version>  
	</dependency>  
	   <!-- https://mvnrepository.com/artifact/org.apache.tiles/tiles-el -->  
	<dependency>  
	    <groupId>org.apache.tiles</groupId>  
	    <artifactId>tiles-el</artifactId>  
	    <version>3.0.5</version>  
	</dependency>
  </dependencies>

  <build>
<!--     <pluginManagement> -->
<!--       <plugins>      -->
<!--         <plugin> -->
<!--           <groupId>org.apache.maven.plugins</groupId> -->
<!--           <artifactId>maven-site-plugin</artifactId> -->
<!--           <version>3.8.2</version> -->
<!--         </plugin> -->
<!--       </plugins> -->
<!--     </pluginManagement> -->
    <plugins>
<!--       <plugin> -->
<!--         <artifactId>maven-site-plugin</artifactId> -->
<!--         <executions> -->
<!--           <execution> -->
<!--             <id>attach-descriptor</id> -->
<!--             <goals> -->
<!--               <goal>attach-descriptor</goal> -->
<!--             </goals> -->
<!--           </execution> -->
<!--         </executions> -->
<!--       </plugin> -->
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.6.1</version>
        <configuration>
          <source>1.8</source>
          <target>1.8</target>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-war-plugin</artifactId>
        <version>3.0.0</version>
        <configuration>
          <warSourceDirectory>WebContent</warSourceDirectory>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.22.0</version>
      </plugin>
      <plugin>
        <artifactId>maven-failsafe-plugin</artifactId>
        <version>2.22.0</version>
      </plugin>
      <plugin>
        <groupId>org.apache.tomcat.maven</groupId>
        <artifactId>tomcat7-maven-plugin</artifactId>
        <version>2.2</version>
        <configuration>
          <url>http://localhost:8080/manager/text</url>
          <server>TomcatServer</server>
          <path>/prjVelaWP</path>
          <username>tomcat-script</username>
          <password>tomcat</password>
        </configuration>
      </plugin>
    </plugins>
    <finalName>${project.artifactId}</finalName>
    <!-- added to remove Version from WAR file -->
  </build>

  <reporting>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <version>3.1.1</version>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-report-plugin</artifactId>
        <version>3.0.0-M4</version>
      </plugin>
    </plugins>
  </reporting>

</project>